Bug 1797486 - Event pausing is not consistent between dashboard card & Events tab
Summary: Event pausing is not consistent between dashboard card & Events tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Rastislav Wagner
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-03 09:34 UTC by Rastislav Wagner
Modified: 2020-05-04 11:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The event pause button style was not consistent between dashboard and events page. The fix addresses the issue and updates pause button in dashboard page to have pause/play icon.
Clone Of:
Environment:
Last Closed: 2020-05-04 11:28:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
Resume (11.63 KB, image/png)
2020-02-06 03:10 UTC, Yadan Pei
no flags Details
Pause (11.02 KB, image/png)
2020-02-06 03:10 UTC, Yadan Pei
no flags Details
Loading at Events page (12.00 KB, image/png)
2020-02-06 03:11 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4148 None closed Bug 1797486: Add icon next to pause/unpause events action 2020-05-04 06:44:32 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:28:59 UTC

Description Rastislav Wagner 2020-02-03 09:34:52 UTC
the issue was reported here https://issues.redhat.com/browse/CONSOLE-1919
Solution is to add play/pause icons next to Pause/Unpause text

Comment 2 Yadan Pei 2020-02-06 03:10:25 UTC
Created attachment 1658065 [details]
Resume

Comment 3 Yadan Pei 2020-02-06 03:10:49 UTC
Created attachment 1658067 [details]
Pause

Comment 4 Yadan Pei 2020-02-06 03:11:14 UTC
Now in Activity card, there's icon next to Resumt/Pause text, see screenshot

This is checked against 4.4.0-0.nightly-2020-02-05-181112

But the styles on Activity card looks different from Events page, assigning back to get confirmation if different style is in scope of this bz or not

Comment 5 Yadan Pei 2020-02-06 03:11:49 UTC
Created attachment 1658068 [details]
Loading at Events page

Comment 6 Rastislav Wagner 2020-02-06 12:44:11 UTC
Andy, can you please let us know if the current visual is ok ? My understanding is that it is, as it will align fine with the planned redesign of events page.

Comment 7 Andy Braren 2020-02-06 13:15:05 UTC
That’s correct, the current visual design is okay and will align with an eventual redesign of the Events page that uses standard PatternFly components. The circle around the play/pause icon in today’s Events page wouldn’t quite fit well into the Activity card, so looking ahead to the future is okay in this case. I think this bug can be resolved.

Comment 8 Yadan Pei 2020-02-07 01:53:04 UTC
Thank you Andy, Rastislav. 

Will move it to VERIFIED

Comment 10 errata-xmlrpc 2020-05-04 11:28:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.